net.sf.statcvs.charts

## Class DirectoryPieChartMaker.DirectorySizesChartMaker

- java.lang.Object
- - net.sf.statcvs.charts.DirectoryPieChartMaker
  - - net.sf.statcvs.charts.DirectoryPieChartMaker.DirectorySizesChartMaker

Enclosing class:
  DirectoryPieChartMaker

    public static class DirectoryPieChartMaker.DirectorySizesChartMaker
    extends DirectoryPieChartMaker

### Nested Class Summary

### Nested classes/interfaces inherited from class net.sf.statcvs.charts.DirectoryPieChartMaker

`DirectoryPieChartMaker.CodeDistributionChartMaker, DirectoryPieChartMaker.DirectorySizesChartMaker`

### Constructor Summary

Constructors
Constructor and Description
`DirectoryPieChartMaker.DirectorySizesChartMaker(ReportConfig config)`

### Method Summary

Methods
`protected int` `calculateValue(Directory directory)`

### Methods inherited from class net.sf.statcvs.charts.DirectoryPieChartMaker

`toFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectoryPieChartMaker.DirectorySizesChartMaker

    public DirectoryPieChartMaker.DirectorySizesChartMaker(ReportConfig config)

### Method Detail

#### calculateValue

    protected int calculateValue(Directory directory)

Specified by:
  `calculateValue` in class `DirectoryPieChartMaker`